Tegra Android Development Pack 2.0r6 Released to Support SHIELD OTA Update 63

In conjunction with the latest NVIDIA® SHIELD™ update, Tegra Android Development Pack 2.0r6 (http://developer.nvidia.com/tegra-android-development-pack) provides same-day support for the powerful SHIELD game development tools, including Tegra Profiler, Nsight Tegra and PerfHUD ES.

Tegra Android Development Pack (TADP) is a suite of SDKs, developer tools, drivers and OS images bundled in a single package to help simplify setting up and managing an Android development environment. In addition to support for the latest Tegra SOC in mobile computing, NVIDIA Tegra® 4 which powers the NVIDIA® SHIELD™, TADP 2.0r6 adds the following updates.

  • Support for SHIELD OTA Update 63 (http://shield.nvidia.com/release-notes/)
  • Bug fixes and general improvements to Tegra Profiler and Nsight Tegra
  • Updated OS images for Tegra Development Kit Platforms (Dalmore, Pluto, Ceres).

To download TADP, you must be a member of the Tegra Registered Developer Program https://developer.nvidia.com/tegra-registered-developer-program. To join simply create a new account (it’s free and easy) and then visit the Tegra Resources https://developer.nvidia.com/tegra-resources page and download the version of TADP for your platform.

To get started developing for NVIDIA SHIELD, head over to http://developer.nvidia.com/how-getting-started-shield-development for detailed instructions on setting up your development environment and installing the tools necessary to develop apps for NVIDIA SHIELD.

Enjoy!
Eric F.

I just like to know if anyone else is able to use the commercial release of the Shield along with the latest update (Jellybean).

During installing, it show an Alert,say:
Failed to load the JNI shared library “/Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/Home/bin/…/jre/lib/server/libjvm.dylib”.

I can’t find this file and server folder in this path.
How to fix it? Thanks.

Hi yayaigo,

What do you mean about “During installing”? Do you mean that you installing the TADP? I am confused about failed log because the TADP 2.0r6 install the jdk 1.6.0_45 but in your failed log it is said about jdk1.7.0_45. So please give me more information about the question. Thanks a lot.

I already fix that, when I install TADP, it will open eclipse,but eclipse can’t open normally.
I think maybe JDK enviroment path is not right.
I use terminal to go into eclipse folder path then
mkdir jre
cd jre
ln -s JDKPath/bin bin
reinstall TADP, it install successfully.
P.S:I have been install jdk1.7.0_45.jdk before install TADP.

The above fix didnt work for me…

HOWEVER when I tried running eclipse by hand, it told me i needed the legacy Java 6 and sent me to this URL. Installing this fixed it for me:

http://support.apple.com/kb/DL1572